Enemy = {}
Enemy.__index = Enemy

function Enemy:new(x, y, width, height)
  local enemy = {}
  setmetatable(enemy, Enemy)

  enemy.x = x
  enemy.y = y

  enemy.width = width
  enemy.height = height
  
  enemy.rotation = 0
  
  enemy.isPowerup = false
  
  enemy.isDead = false
  enemy.isDying = false

  return enemy
end

function Enemy:draw()
  drawAngleRectangle("fill", self.x, self.y, self.width, self.width, self.rotation, self.width*0.5, self.width*0.5)
end

function Enemy:getX()
  return self.x
end

function Enemy:getY()
  return self.y
end

function Enemy:setX(x)
  self.x = x
end

function Enemy:setY(y)
  self.y = y
end