Enemy = {}
Enemy.__index = Enemy

function Enemy:new(x, y, width, density)
  local enemy = {}
  setmetatable(enemy, Enemy)

  enemy.width = width
  
  enemy.body = love.physics.newBody(world, x, y, "dynamic")
  enemy.shape = love.physics.newRectangleShape(x, y, width, width)
  enemy.fixture = love.physics.newFixture(enemy.body, enemy.shape, density)

  return enemy
end

function Enemy:draw()
  love.graphics.rectangle("fill", self.x, self.y, self.width, self.width)
  love.graphics.rectangle("line", self.x, self.y, self.width, self.width)
end

function Enemy:getX()
  return self.x
end

function Enemy:getY()
  return self.y
end

function Enemy:setX(x)
  self.x = x
end

function Enemy:setY(y)
  self.y = y
end